@import '../../styles/variables';
@import '../../styles/input-mixins';

@include _cui-input-base-global('.cui-input-timepicker');

.cui-input-timepicker {
  position: relative;
  display: inline-flex;
  flex: 1 1 auto;
  min-width: 0;

  .portal-container {
    right: $cui-input-padding-h;
    position: absolute;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
  }
}
